package com.hotent.uc.model;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("uc_scan_login")
@ApiModel(description="用户表")
public class ScanLogin  extends BaseModel<ScanLogin> {
    /**
     * id_
     */
    @TableId("ID_")
    @ApiModelProperty(name="id",notes="id")
    protected String id;

    /**
     * 扫码结果（0=未成功1=成功）
     */
    @TableField("STATE_")
    @ApiModelProperty(name="state",notes="类型")
    protected String state;

    /**
     * 二维码是否扫过
     */
    @TableField("SCAN_ING_")
    @ApiModelProperty(name="scanIng",notes="二维码是否扫过")
    protected String scanIng;

    /**
     * 二维码存储路径
     */
    @TableField("QRCODE_URL_")
    @ApiModelProperty(name="qrCodeUrl",notes="二维码存储路径")
    protected String qrCodeUrl;

    /**
     * 类型（0=钉钉1=微信）
     */
    @TableField("TYPE_")
    @ApiModelProperty(name="type",notes="类型（0=钉钉1=微信）")
    protected String type;

    /**
     * 登录成功跳转地址
     */
    @TableField("INTENT_URL")
    @ApiModelProperty(name="intentUrl",notes="登录成功跳转地址")
    protected String intentUrl;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME_")
    @ApiModelProperty(name="createTime",notes="创建时间")
    protected LocalDateTime createTime;
    /**
     * 更新时间
     */
    @TableField("UPDATE_TIME_")
    @ApiModelProperty(name="updateTime",notes="更新时间")
    protected LocalDateTime updateTime;

    @TableField("TENANT_ID_")
    @ApiModelProperty(name="tenantId",notes="租户id")
    protected String tenantId;

    @TableField("USER_ID_")
    @ApiModelProperty(name="userId",notes="用户id")
    protected String userId;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIntentUrl() {
        return intentUrl;
    }

    public void setIntentUrl(String intentUrl) {
        this.intentUrl = intentUrl;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getScanIng() {
        return scanIng;
    }

    public void setScanIng(String scanIng) {
        this.scanIng = scanIng;
    }
}
